<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/backgroundlogo"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    tools:context="com.ttiglobal.inttilectgpchat.LoginActivity"
    tools:ignore="SpUsage">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_gravity="center|top"
        android:layout_weight="1"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingTop="10dp">

        <ImageView
            android:id="@+id/logo"
            android:layout_width="@dimen/_250sdp"
            android:layout_height="@dimen/_100sdp"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/_20sdp"
            android:contentDescription="@string/app_name"
            android:scaleType="fitCenter"
            android:src="@drawable/gpint" />

    </FrameLayout>


    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center|bottom"
        android:layout_margin="@dimen/textSize"
        android:layout_marginTop="@dimen/_20sdp"
        android:orientation="vertical"
        android:padding="@dimen/textSizeLarge"
        app:cardBackgroundColor="#d9ffffff"
        app:cardElevation="@dimen/seekbarsize"
        app:cardMaxElevation="@dimen/seekbarsize">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center|top"
            android:layout_marginLeft="@dimen/textSize"
            android:layout_marginTop="@dimen/buttonHeightSmall"
            android:layout_marginRight="@dimen/textSize"
            android:layout_marginBottom="@dimen/buttonHeightSmall"
            android:orientation="vertical">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <EditText
                    android:id="@+id/userName"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/buttonHeight"
                    android:background="@drawable/login_edittext"
                    android:drawableStart="@mipmap/smpin"
                    android:drawableLeft="@mipmap/smpin"
                    android:hint="@string/prompt_email"
                    android:inputType="text"
                    android:maxLines="1"
                    android:textColor="@color/material_black"
                    android:textColorHint="#80000000"
                    android:textSize="@dimen/textSizeAverage"
                    android:textStyle="italic" />

                <ImageView
                    android:id="@+id/info"
                    android:layout_width="@dimen/buttonHeightNormal"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:layout_gravity="right|center_vertical"
                    android:src="@mipmap/info_icon"
                    android:visibility="invisible" />

            </FrameLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/textSizeToSmall"
                app:hintEnabled="false"
                app:passwordToggleEnabled="true"
                app:passwordToggleTint="@color/btn_bg_color">

                <EditText
                    android:id="@+id/password"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_marginTop="@dimen/buttonHeightSmall"
                    android:background="@drawable/login_edittext"
                    android:drawableStart="@mipmap/pass_icon"
                    android:drawableLeft="@mipmap/pass_icon"
                    android:fontFamily="sans-serif"
                    android:hint="@string/prompt_password"
                    android:imeActionId="2276"
                    android:imeActionLabel="@string/action_sign_in"
                    android:imeOptions="actionSend"
                    android:inputType="textPassword"
                    android:maxLines="1"
                    android:textColor="@color/material_black"
                    android:textColorHint="#80000000"
                    android:textSize="@dimen/textSizeAverage" />
            </com.google.android.material.textfield.TextInputLayout>

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/textSizeToSmall"
                android:orientation="horizontal">

                <ImageButton
                    android:id="@+id/faq"
                    android:layout_width="@dimen/buttonHeightSmall"
                    android:layout_height="@dimen/buttonHeightSmall"
                    android:layout_gravity="center|left"
                    android:background="@android:color/transparent"
                    android:contentDescription="@string/action_submit"
                    android:scaleType="fitCenter"
                    android:src="@mipmap/faq"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/faq1"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/buttonHeightSmall"
                    android:layout_gravity="left"
                    android:layout_marginLeft="35dp"
                    android:gravity="center|right"
                    android:text="FAQs"
                    android:textAppearance="@android:style/TextAppearance.DeviceDefault.Small"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeSmall"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/forgotPassword"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/buttonHeightSmall"
                    android:layout_gravity="right"
                    android:layout_marginRight="@dimen/seekbarsize"
                    android:gravity="center|right"
                    android:text="Forgot Password?"
                    android:textAppearance="@android:style/TextAppearance.DeviceDefault.Small"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeSmall"
                    android:textStyle="italic" />
            </FrameLayout>

            <com.dd.ShadowLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/textSize"
                android:layout_marginBottom="@dimen/textSize"
                app:sl_cornerRadius="20dp"
                app:sl_shadowColor="#a6a8a8">

                <Button
                    android:id="@+id/email_sign_in_button"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center|bottom"
                    android:background="@drawable/btn_login_shadow"
                    android:elevation="10dp"
                    android:text="@string/action_sign_in"
                    android:textAllCaps="true"
                    android:textColor="#FFFFFF"
                    android:textSize="@dimen/textSizeAverage" />
            </com.dd.ShadowLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="invisible">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">

                    <TextView

                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Not Yet Registered?"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeSmall"
                        android:textStyle="italic" />

                    <TextView
                        android:id="@+id/notRegistered"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/seekbarsize_small"
                        android:text="Signup"
                        android:textColor="#0f2e42"
                        android:textSize="@dimen/textSizeAverage"
                        android:textStyle="bold" />
                </LinearLayout>


            </LinearLayout>
        </LinearLayout>


    </androidx.cardview.widget.CardView>
</LinearLayout>
